package com.gyee.wisdom.dao.point;

import com.gyee.wisdom.common.data.point.ElectricalTestingPoint;
import com.gyee.wisdom.common.data.point.LevelTypeTestingPoint;

import java.util.List;

public interface ILevelTypeTestingPointDao {
    List<LevelTypeTestingPoint> getAll();

    List<LevelTypeTestingPoint>getListByPage(int pageIndex, int pageSize);

    LevelTypeTestingPoint getPointById(String id);

    void save(LevelTypeTestingPoint newPoint);

    void delete(String id);

    void  update(LevelTypeTestingPoint point);
}
